Parses the gender-spawn-percentage of the given Pokémon ID

### Hierarchy

- GenderPercentParser

### Implements

- Component

## Index

### Constructors

- constructor

### Properties

- gameMaster
- spawnRegex

### Methods

- Process
- isItemTemplateSpawn

## Constructors

### constructor

- new GenderPercentParser(gameMaster: RootObject): GenderPercentParser

- - Defined in components/pokemon/shared/gender-percent-parser.component.ts:9

  #### Parameters

  - ##### gameMaster: RootObject

  #### Returns GenderPercentParser

## Properties

### Private gameMaster

gameMaster: RootObject

- Defined in components/pokemon/shared/gender-percent-parser.component.ts:10

### Private spawnRegex

spawnRegex: string = "^(SPAWN_V[0-9]+_POKEMON_?.*)"

- Defined in components/pokemon/shared/gender-percent-parser.component.ts:11

## Methods

### Process

- Process(pokemonId: string): PokemonGender

- - Defined in components/pokemon/shared/gender-percent-parser.component.ts:21

  Parses the gender-spawn-percentage of the given Pokémon ID)

  #### Parameters

  - ##### pokemonId: string

  #### Returns PokemonGender

  Object with the Pokémon Gender Percent values

### Private isItemTemplateSpawn

- isItemTemplateSpawn(item: ItemTemplate): boolean

- - Defined in components/pokemon/shared/gender-percent-parser.component.ts:12

  #### Parameters

  - ##### item: ItemTemplate

  #### Returns boolean

Generated using TypeDoc